Skip to main content
POST
Create a help center theme design
Pass a preset to open a private draft. Choose search-first for Beacon, documentation for Folio, multi-product for Relay, atlas for Atlas, default for the classic layout, or original for the site’s own original design. Omit name to use the template’s name. If that name is taken, the next draft gets an available number, such as “Beacon 2.”

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
preset
enum<string>
required
Available options:
default,
search-first,
documentation,
multi-product,
atlas,
original
name
string

Omit to use an available name based on the preset.

Required string length: 1 - 160

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
preset
enum<string>
required
Available options:
default,
search-first,
documentation,
multi-product,
atlas,
original
revision_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
help_center_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
languages
string[]
required

Languages this site serves, primary first.

Minimum array length: 1
files
object
required
history
object[]
required
template_preview
boolean

True while this is an unsaved template preview.

history_page
object
selected_revision
object